View Issue Details

IDProjectCategoryView StatusLast Update
0033142Open CASCADEOCCT:Configurationpublic2022-09-17 19:39
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0033142: Configuration, genproj - ExpToCasExe building fails with generated VS projects
DescriptionExpToCasExe cannot be built using VS project file generated by genproj tool after 0031481.

Severity	Code	Description	Project	File	Line	Suppression State
Error	LNK2019	unresolved external symbol "public: virtual __cdecl exptocasFlexLexer::~exptocasFlexLexer(void)" (??1exptocasFlexLexer@@UEAA@XZ) referenced in function
"class opencascade::handle<class Express_Schema> __cdecl GetSchema(char const *)" (?GetSchema@@YA?AV?$handle@VExpress_Schema@@@opencascade@@PEBD@Z)
ExpToCasExe	C:\occt_tmp.git\adm\msvc\vc14\ExpToCasExe.obj	1	
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0031481 verifiedabv Data Exchange - provide parser of STEP EXPRESS schema for generation of new STEP entities 

Activities

git

2022-09-13 14:32

administrator   ~0111013

Branch CR33142 has been created by kgv.

SHA-1: e185762f15eaab2ffd4a7230ab7070cb49ae7fed


Detailed log of new commits:

Author: kgv
Date: Tue Sep 13 14:31:47 2022 +0300

    0033142: Configuratiuon, genproj - ExpToCasExe building fails with generated VS projects
    
    Generate executable single MSVC project per-Unit instead of per-source file.

git

2022-09-13 14:33

administrator   ~0111014

Branch CR33142 has been updated forcibly by kgv.

SHA-1: d7da43c02e5209c2ba1fc42be5d49cde01e83bcf

kgv

2022-09-13 14:34

developer   ~0111015

Patch is ready for review
- OCCT: branch CR33142.

abv

2022-09-13 14:42

manager   ~0111016

No remarks, please integrate

smoskvin

2022-09-17 19:31

administrator   ~0111118

Combination -
OCCT branch : IR-2022-09-16
master SHA - changes and them, and you can discard any commits you make in this
a939fd40eb473e79134ba740ed8e3f8aa4df37a7
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-09-16 SHA - 63dd76a64eb2213a575fdcfd88c28e77af367df1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18769.440000000584 / 18960.430000000466 [-1.01%]
Products
Total CPU difference: 11959.870000000119 / 12078.45000000014 [-0.98%]
Windows-64-VC14:
OCCT
Total CPU difference: 20851.0625 / 20895.5625 [-0.21%]
Products
Total CPU difference: 14084.640625 / 13533.359375 [+4.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-09-17 19:39

administrator   ~0111125

Branch CR33142 has been deleted by mnt.

SHA-1: d7da43c02e5209c2ba1fc42be5d49cde01e83bcf

Related Changesets

occt: master 03b0ca59

2022-09-13 14:31:47

kgv


Committer: smoskvin Details Diff
0033142: Configuration, genproj - ExpToCasExe building fails with generated VS projects

Generate executable single MSVC project per-Unit instead of per-source file.
Affected Issues
0033142
mod - adm/genproj.tcl Diff File

Issue History

Date Modified Username Field Change
2022-09-13 14:30 kgv New Issue
2022-09-13 14:30 kgv Assigned To => bugmaster
2022-09-13 14:30 kgv Description Updated
2022-09-13 14:32 git Note Added: 0111013
2022-09-13 14:32 kgv Relationship added child of 0031481
2022-09-13 14:32 kgv Description Updated
2022-09-13 14:32 kgv Summary Configuratiuon, genproj - ExpToCasExe building fails with generated VS projects => Configuration, genproj - ExpToCasExe building fails with generated VS projects
2022-09-13 14:33 git Note Added: 0111014
2022-09-13 14:33 kgv Description Updated
2022-09-13 14:34 kgv Assigned To bugmaster => abv
2022-09-13 14:34 kgv Status new => resolved
2022-09-13 14:34 kgv Note Added: 0111015
2022-09-13 14:42 abv Assigned To abv => bugmaster
2022-09-13 14:42 abv Status resolved => reviewed
2022-09-13 14:42 abv Note Added: 0111016
2022-09-17 19:31 smoskvin Status reviewed => tested
2022-09-17 19:31 smoskvin Note Added: 0111118
2022-09-17 19:32 smoskvin Test case number => Not required
2022-09-17 19:36 smoskvin Changeset attached => occt master 03b0ca59
2022-09-17 19:36 kgv Assigned To bugmaster => kgv
2022-09-17 19:36 kgv Status tested => verified
2022-09-17 19:36 kgv Resolution open => fixed
2022-09-17 19:39 git Note Added: 0111125